Loading...
Searching...
No Matches
Any node
Grammar nodes

A node that matches any single token. More...

Collaboration diagram for Any node:

## Functions

struct ec_node * | ec_node_any (const char *id, const char *attr)
| Create a "any" node.

## Detailed Description

A node that matches any single token.

Configuration Schema

schema any {
string attr {
description "The optional attribute name to attach.";
}
}

## Function Documentation

## ec_node_any()

struct ec_node * ec_node_any | ( | const char * | id,
|  | const char * | attr )

Create a "any" node.

This node always matches 1 string in the vector. An optional strvec attribute can be checked too. These attributes are usually set by a lexer node.

Parameters

  id | The node identifier.
  attr | The strvec attribute to match, or NULL.

Returns
  The ecoli node.